Skip to main content
PUT
/
api
/
integration-sources
/
relationships
/
{relationship_id}
Update Integration Source Relationship
curl --request PUT \
  --url https://config.heyhumm.ai/api/integration-sources/relationships/{relationship_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "SUGGESTED",
  "score": 123,
  "evidence": {}
}
'
{
  "integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "from_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_column_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "type": "INFERRED",
  "status": "SUGGESTED",
  "score": 123,
  "evidence": {}
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

relationship_id
string<uuid>
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Model for updating an existing integration source relationship.

status
enum<string> | null
Available options:
SUGGESTED,
APPROVED,
REJECTED
score
number | null
evidence
Evidence · object

Response

Successful Response

Response model for integration source relationships.

integration_source_id
string<uuid>
required

Integration source this relationship belongs to

from_column_id
string<uuid>
required

Column acting as the foreign key / link origin

to_table_id
string<uuid>
required

Target table this relationship points to

to_column_name
string
required

Target column name in the destination table

Maximum string length: 255
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
type
enum<string>
default:INFERRED

Relationship type (FORMAL FK, inferred heuristic, manual, etc.)

Available options:
FOREIGN_KEY,
INFERRED,
MANUAL
status
enum<string>
default:SUGGESTED

Review status of the relationship

Available options:
SUGGESTED,
APPROVED,
REJECTED
score
number | null

Confidence score assigned by the inference pipeline (0.0-1.0)

evidence
Evidence · object

Supporting evidence and calculations used to infer the relationship